Subject: [Mg-t] Mods

From: Rick Lindsay <[email-masked]>
Date: Sat, 07 Mar 2015 08:05:56 -0600

Hi Friends,
I have made some reversible modifications to my '53 TD. First up is the removal of the original, rebuilt and refailed fuel pump, in favor of a modern electric pump. The old pump, it's mounting hardware and fitting are safely stored. I made a mounting bracket so the new pump could mount without new holes or changes to the original mounting location.
Changing the pump included changing the plumbing. The fuel line was loaded with crud so it too has been replaced. Well, that's work-in-progress. A fuel filter is now at the pump's input.
But the biggest modification is the change to a Weber DGV carburetor. Gasp! Blasphemy! Well, I had the kit in hand and the SUs are full of fuel tank and fuel line debris - the same kind of debris that probably caused the death of the SU pump.
Rest assured that all these original parts will be rebuilt and returned to the car, as time permits. Well, except for the fuel line. But for now, the old boy will soon be back running.
-rick
Happy Connecting. Sent from my Sprint Samsung Galaxy SB. 5
______________________________________________

[email-masked]
Archive: http://www.team.net/archive